<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Settings</title>
{% include 'global/header.html' %}
  <link rel="stylesheet" type="text/css" href="{{ request.url_for('static', path='/css/settings.css') }}"/>
</head>
<body>

<div class="settings-container">
  <h1>Display Settings</h1>

  <table>
    <tr>
      <td><label for="plot_scroll_switch">Always enable plot scrolling</label></td>
      <td>
        <label id="plot_scroll_switch" class="switch">
          <input id="enable_plot_scrolling" type="checkbox">
          <span class="slider"></span>
        </label>
      </td>
    </tr>

    <tr>
      <td><label for="plot_autosave_zoom_switch">Automatically create zoom level marks</label></td>
      <td>
        <label id="plot_autosave_zoom_switch" class="switch">
          <input id="enable_plot_autosave_zoom" type="checkbox">
          <span class="slider"></span>
        </label>
      </td>
    </tr>

    <tr>
      <td><label for="doy_switch">Display times in year and DOY</label></td>
      <td>
        <label id="doy_switch" class="switch">
          <input id="use_doy" type="checkbox">
          <span class="slider"></span>
        </label>
      </td>
    </tr>

    <tr>
      <td><label for="always_show_edits_switch">Always show edit directives menu option</label></td>
      <td>
        <label id="always_show_edits_switch" class="switch">
          <input id="always_show_edits" type="checkbox">
          <span class="slider"></span>
        </label>
      </td>
    </tr>

    <tr>
      <td><label for="view_switch_retain_zoom_switch">Retain zoom when switching views</label></td>
      <td>
        <label id="view_switch_retain_zoom_switch" class="switch">
          <input id="view_switch_retain_zoom" type="checkbox">
          <span class="slider"></span>
        </label>
      </td>
    </tr>

    <tr>
      <td><label for="enter_writes_message_log_switch">Enter immediately writes to the message log</label></td>
      <td>
        <label id="enter_writes_message_log_switch" class="switch">
          <input id="enter_writes_message_log" type="checkbox">
          <span class="slider"></span>
        </label>
      </td>
    </tr>
  </table>

  <button class="action" id="apply_settings">Save</button>
</div>

<script>
(function() {
{% include 'mode/settings.js' %}
})();
</script>

</body>
</html>